--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: OS fingerprint
  name: fingerprint
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This holds the OS information from OS Detection
constants: []

full_name: Nmap::Parser::Host::OS
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: all_names
- !ruby/object:RI::MethodSummary 
  name: class_accuracy
- !ruby/object:RI::MethodSummary 
  name: class_count
- !ruby/object:RI::MethodSummary 
  name: name
- !ruby/object:RI::MethodSummary 
  name: name_accuracy
- !ruby/object:RI::MethodSummary 
  name: name_count
- !ruby/object:RI::MethodSummary 
  name: names
- !ruby/object:RI::MethodSummary 
  name: osclasses
- !ruby/object:RI::MethodSummary 
  name: osfamily
- !ruby/object:RI::MethodSummary 
  name: osgen
- !ruby/object:RI::MethodSummary 
  name: osmatches
- !ruby/object:RI::MethodSummary 
  name: ostype
- !ruby/object:RI::MethodSummary 
  name: osvendor
- !ruby/object:RI::MethodSummary 
  name: tcpport_closed
- !ruby/object:RI::MethodSummary 
  name: tcpport_open
- !ruby/object:RI::MethodSummary 
  name: udpport_closed
name: OS
superclass: Object
